Bug 1010884 - /usr/share/selinux/devel/Makefile is not paralel
/usr/share/selinux/devel/Makefile is not paralel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 05:04 EDT by Miroslav Suchý
Modified: 2017-02-25 20:37 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-225.10.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-25 20:37:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2013-09-23 05:04:26 EDT
Description of problem:
If I try to build new selinux module with:
  make NAME=targeted -f /usr/share/selinux/devel/Makefile
it works. But if I pass %{_smp_mflags} to make (as required by fedora guidelines), ie. run:
  make -j8 NAME=targeted -f /usr/share/selinux/devel/Makefile
it will break with:

+ for selinuxvariant in targeted
+ make -j8 NAME=targeted -f /usr/share/selinux/devel/Makefile
/bin/sh: tmp/copr.mod.fc: No such file or directory
make: *** [tmp/copr.mod.fc] Error 1
make: *** Waiting for unfinished jobs....
error: Bad exit status from /var/tmp/rpm-tmp.aVlCof (%build)

Version-Release number of selected component (if applicable):
selinux-policy-devel-3.12.1-74.1.fc19.noarch

How reproducible:
one is enough :)

Steps to Reproduce:
1. create copr.fc  copr.if copr.te
2. in that directory run:
make NAME=targeted -f /usr/share/selinux/devel/Makefile
#this pass
3. and now run:
  make -j8 NAME=targeted -f /usr/share/selinux/devel/Makefile
#this will likely fail, if you have fast enough machine.

Workaround is easy - do not pass %{_smp_mflags} to make, but it will be nice if this can be fixed.
Comment 1 Jaroslav Reznik 2015-03-03 10:06:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 2 Fedora End Of Life 2016-07-19 16:02:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Miroslav Suchý 2016-07-27 10:33:27 EDT
Still valid.
Comment 4 Fedora Admin XMLRPC Client 2016-09-27 10:52:59 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Update System 2017-02-22 16:07:17 EST
selinux-policy-3.13.1-225.10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-31d4ea5eb1
Comment 6 Fedora Update System 2017-02-25 20:37:43 EST
selinux-policy-3.13.1-225.10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.